### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) user.js
A `user.js` is a configuration file that can control hundreds of Firefox settings. For a more technical breakdown and explanation, you can read more on the [Overview](https://github.com/ghacksuserjs/ghacks-user.js/wiki/1.1-Overview) wiki page.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) ghacks user.js
The [ghacks user.js](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/user.js) is a template, which, as provided, aims (with [add-ons](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-B:-Firefox-Add-ons)) to provide as much privacy and enhanced security as possible, and to reduce tracking and fingerprinting as much as possible - while minimizing any loss of functionality and breakage (but it will happen).

We aim to INFORM and give you CHOICES. No one size fits all, so customize it! And not all sites have the same requirements, so use [profiles](https://github.com/ghacksuserjs/ghacks-user.js/wiki/2.3-Concurrent-Profiles) with custom versions. We won't set you wrong.

INFORMATION IS POWER. So you can make informed decisions to better protect yourself online, we aim to be:

* Accessible (provide information and simpler, less-technical descriptions if possible)
* Accountable (provide reputable references/sources, [test sites](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-C:-Test-Sites), dispel bad advice)
* Change trackable (yay! we're on github now, with commits)
* Compatible (deprecated section, [releases](https://github.com/ghacksuserjs/ghacks-user.js/releases))
* Comprehensive (including enforcing defaults and future-proofing)
* Current and up-to-date with stable (we also do [changelogs](https://github.com/ghacksuserjs/ghacks-user.js/search?q=label%3Achangelog&type=Issues&utf8=%E2%9C%93))
* Detailed (preference versioning, hidden preference information, explanations, and more)
* Easy to use and discuss (sections, sub-sections, numbering)
* Helpful (including a [Wiki](https://github.com/ghacksuserjs/ghacks-user.js/wiki) with features such as [Add-ons](https://github.com/ghacksuserjs/ghacks-user.js/wiki/Appendix-B:-Firefox-Add-ons), [User Scripts](https://github.com/ghacksuserjs/ghacks-user.js/wiki/3.1-User-Scripts) and more)
* Innovative (formatting, special tags, and future plans such as branches)

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) usage
Everyone, experts included, should at least read the [Implementation](https://github.com/ghacksuserjs/ghacks-user.js/wiki/1.3-Implementation) wiki page, as it contains important information regarding a few default settings we use. The rest of the [Wiki](https://github.com/ghacksuserjs/ghacks-user.js/wiki) is helpful as well.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) acknowledgments
Literally thousands of sources, references and suggestions. That said...

* [1] Martin Brinkmann at [ghacks](https://www.ghacks.net/)
   * 100% genuine super-nice all-round good guy
* The ghacks community and commentators
   * Special mentions to earthling, Tom Hawack, Just me, Conker, Rockin' Jerry, Ainatar, Parker Lewis
* [12bytes](http://12bytes.org/articles/tech/firefoxgecko-configuration-guide-for-privacy-and-performance-buffs)
   * The 12bytes article now uses this user.js and supplements it with an additonal JS hosted right [here](https://github.com/atomGit/Firefox-user.js) at github
* [pyllyukko's user.js](https://github.com/pyllyukko/user.js)
   * A similar project started in Dec 2014

[1] The ghacks user.js was an personal, independent project started in early 2015 and was first published by Martin Brinkmann at [ghacks](https://www.ghacks.net/) in August 2015. It was kept up-to-date and expanded with three major updates and articles. With Martin Brinkmann's blessing, it will keep the ghacks name.
